<?php

	/*
		Plugin Name: Pop Box
		Description: Create all types of pop ups for your blog and create a featured popup.
		Version: 2.0
	*/

	add_action('template_redirect', 'redirect_to_popbox', 5);
	function redirect_to_popbox() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'popbox') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/popbox' . '/popup.php');
			exit;
			
		}
	}

	
	

	require_once('settings.php');

	add_action('admin_menu', 'popbox_leads');

	function show_popboxadmin() {
			require_once(WP_PLUGIN_DIR . '/popbox' .'/adminSettings.php');
		}

	function popbox_leads() {

	   add_menu_page('Pop Box', 'Pop Box', 'manage_options', 'popbox', 'show_popboxadmin', plugins_url().'/popbox/images/favicon.png');
	}

add_action('wp_head', 'displaypopboxs');

	function displaypopboxs() {
		$popupURL =  get_option('popupurl');
		if ($popupURL == 'none' || $popupURL == '') {
			
		}
		else {
			echo file_get_contents("$popupURL");
		}
	}

	function popboxPlaceholder($content, $placeholder) {
	if ($content == "") {
		echo $placeholder;
	}
	else {
		echo stripslashes(html_entity_decode($content));
	}
}
?>